Get statement
Retrieve a statement by its ID.
Use the Accept header to specify the format of the response. Supported formats are application/json and application/pdf.
To access this endpoint using an access token
you'll need to specify the /accounts/{accountID}/profile.read scope.
curl -X GET "https://api.moov.io/accounts/{accountID}/statements/{statementID}" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.07.00"mc, _ := moov.NewClient()
var accountID string
var statementID string
mc.GetStatement(ctx, accountID, statementID)
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.statements.get({
accountID: "5623ff52-0b05-41ea-b7b3-655835064007",
statementID: "9d45acbf-c4fe-4843-846c-eaa43c9ca17f",
});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->statements->get(
accountID: '5623ff52-0b05-41ea-b7b3-655835064007',
statementID: '9d45acbf-c4fe-4843-846c-eaa43c9ca17f'
);
if ($response->statement !== null) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.GetStatementResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
GetStatementResponse res = sdk.statements().get()
.accountID("5623ff52-0b05-41ea-b7b3-655835064007")
.statementID("9d45acbf-c4fe-4843-846c-eaa43c9ca17f")
.call();
if (res.statement().isPresent()) {
// handle response
}
}
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.statements.get(account_id="5623ff52-0b05-41ea-b7b3-655835064007", statement_id="9d45acbf-c4fe-4843-846c-eaa43c9ca17f")
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.statements.get(account_id: '5623ff52-0b05-41ea-b7b3-655835064007', statement_id: '9d45acbf-c4fe-4843-846c-eaa43c9ca17f')
unless res.statement.nil?
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Statements.GetAsync(
accountID: "5623ff52-0b05-41ea-b7b3-655835064007",
statementID: "9d45acbf-c4fe-4843-846c-eaa43c9ca17f"
);
// handle response{
"statementID": "string",
"statementName": "string",
"fileName": "string",
"fileSize": 0,
"billingPeriodStartDateTime": "2019-08-24T14:15:22Z",
"billingPeriodEndDateTime": "2019-08-24T14:15:22Z",
"subscriptionIDs": [
"string"
],
"summary": {
"cardAcquiring": {
"volumeAmount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"volumeCount": 0,
"feeAmount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"merchantFeesCollected": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"partnerFeesAssessed": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"netIncome": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"interchangeFees": {
"visa": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"mastercard": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"discover": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"americanExpress": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
},
"ach": {
"volumeAmount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"volumeCount": 0,
"feeAmount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"merchantFeesCollected": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"partnerFeesAssessed": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"netIncome": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"instantPayments": {
"volumeAmount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"volumeCount": 0,
"feeAmount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"merchantFeesCollected": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"partnerFeesAssessed": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"netIncome": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"platformFees": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"accountFees": {
"volumeAmount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"volumeCount": 0,
"feeAmount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"merchantFeesCollected": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"partnerFeesAssessed": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"netIncome": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"adjustmentFees": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"otherFees": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"otherCardFees": {
"volumeAmount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"volumeCount": 0,
"feeAmount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"merchantFeesCollected": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"partnerFeesAssessed": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"netIncome": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"total": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"netIncomeSubtotal": {
"volumeAmount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"volumeCount": 0,
"feeAmount": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"merchantFeesCollected": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"partnerFeesAssessed": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"netIncome": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"revenueShare": "string",
"residualSubtotal": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"monthlyPartnerCosts": {
"minimumCommitment": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"monthlyPlatform": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"total": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"netPartnerPayment": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"totalNetPartnerPayment": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"cardAcquiringFees": {
"visa": {
"interchange": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"interchangePrograms": [
{
"programName": "string",
"count": 0,
"percentageRate": 0,
"perItemRate": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"total": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"transferVolume": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
],
"networkPassthrough": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedDomesticOnline": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedDomesticInPerson": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedInternationalOnline": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedInternationalInPerson": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"declines": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"refunds": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"cardCancellations": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"total": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
},
"mastercard": {
"interchange": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"interchangePrograms": [
{
"programName": "string",
"count": 0,
"percentageRate": 0,
"perItemRate": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"total": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"transferVolume": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
],
"networkPassthrough": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedDomesticOnline": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedDomesticInPerson": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedInternationalOnline": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedInternationalInPerson": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"declines": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"refunds": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"cardCancellations": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"total": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
},
"discover": {
"interchange": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"interchangePrograms": [
{
"programName": "string",
"count": 0,
"percentageRate": 0,
"perItemRate": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"total": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"transferVolume": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
],
"networkPassthrough": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedDomesticOnline": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedDomesticInPerson": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedInternationalOnline": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedInternationalInPerson": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"declines": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"refunds": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"cardCancellations": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"total": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
},
"americanExpress": {
"interchange": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"interchangePrograms": [
{
"programName": "string",
"count": 0,
"percentageRate": 0,
"perItemRate": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"total": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"transferVolume": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
],
"networkPassthrough": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedDomesticOnline": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedDomesticInPerson": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedInternationalOnline": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"completedInternationalInPerson": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"declines": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"refunds": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"cardCancellations": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"total": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
}
},
"achFees": {
"standardCredit": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"sameDayCredit": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"debits": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"return": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"unauthorizedReturn": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"noticeOfChange": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"bankAccountVerification": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"total": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
},
"instantPaymentFees": {
"rtpCreditTransaction": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"rtpDecline": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"pushToCardTransaction": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"pushToCardDecline": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"pullFromCardTransaction": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"pullFromCardDecline": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"pullFromCardRefund": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"instantVerification": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"total": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
},
"platformFees": {
"walletFee": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"merchantPCIFee": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"total": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"accountFees": {
"walletFee": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"merchantPCIFee": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"invoicePaymentFee": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"kybFee": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"kycFee": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"transactionMonitoringFee": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"total": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"otherCardFees": {
"disputes": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"cardAccountUpdater": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"cardVerification": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"nameVerification": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"total": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
},
"partnerFees": {
"minimumCommitment": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"monthlyPlatform": {
"currency": "USD",
"valueDecimal": "12.987654321"
},
"total": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
},
"adjustments": {
"items": [
{
"feeName": "string",
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
],
"total": {
"count": 0,
"amount": {
"currency": "USD",
"valueDecimal": "12.987654321"
}
}
},
"createdOn": "2019-08-24T14:15:22Z",
"updatedOn": "2019-08-24T14:15:22Z"
}Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Response headers
x-request-id
string
required
Headers
X-Moov-Version
string
v2026.08.00 uses v2026.07.00.
A malformed value, such as 2022, returns a 404 response.
v2026.07.00
Path parameters
accountID
string
required
statementID
string
required
Response
billingPeriodEndDateTime
string<date-time>
required
billingPeriodStartDateTime
string<date-time>
required
createdOn
string<date-time>
required
fileName
string
required
fileSize
integer<int64>
required
statementID
string
required
statementName
string
required
subscriptionIDs
array<string>
required
summary
object
required
Show child attributes
summary
accountFees
object
Show child attributes
summary.accountFees
feeAmount
object
Show child attributes
summary.accountFees.feeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
merchantFeesCollected
object
Show child attributes
summary.accountFees.merchantFeesCollected
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
netIncome
object
Show child attributes
summary.accountFees.netIncome
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
partnerFeesAssessed
object
Show child attributes
summary.accountFees.partnerFeesAssessed
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
volumeAmount
object
deprecated
Show child attributes
summary.accountFees.volumeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
volumeCount
integer<int64>
deprecated
ach
object
Show child attributes
summary.ach
feeAmount
object
Show child attributes
summary.ach.feeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
merchantFeesCollected
object
Show child attributes
summary.ach.merchantFeesCollected
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
netIncome
object
Show child attributes
summary.ach.netIncome
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
partnerFeesAssessed
object
Show child attributes
summary.ach.partnerFeesAssessed
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
volumeAmount
object
deprecated
Show child attributes
summary.ach.volumeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
volumeCount
integer<int64>
deprecated
adjustmentFees
object
deprecated
Show child attributes
summary.adjustmentFees
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
cardAcquiring
object
Show child attributes
summary.cardAcquiring
feeAmount
object
Show child attributes
summary.cardAcquiring.feeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
interchangeFees
object
Show child attributes
summary.cardAcquiring.interchangeFees
americanExpress
object
required
Show child attributes
summary.cardAcquiring.interchangeFees.americanExpress
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
discover
object
required
Show child attributes
summary.cardAcquiring.interchangeFees.discover
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
mastercard
object
required
Show child attributes
summary.cardAcquiring.interchangeFees.mastercard
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
visa
object
required
Show child attributes
summary.cardAcquiring.interchangeFees.visa
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
merchantFeesCollected
object
Show child attributes
summary.cardAcquiring.merchantFeesCollected
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
netIncome
object
Show child attributes
summary.cardAcquiring.netIncome
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
partnerFeesAssessed
object
Show child attributes
summary.cardAcquiring.partnerFeesAssessed
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
volumeAmount
object
deprecated
Show child attributes
summary.cardAcquiring.volumeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
volumeCount
integer<int64>
deprecated
instantPayments
object
Show child attributes
summary.instantPayments
feeAmount
object
Show child attributes
summary.instantPayments.feeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
merchantFeesCollected
object
Show child attributes
summary.instantPayments.merchantFeesCollected
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
netIncome
object
Show child attributes
summary.instantPayments.netIncome
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
partnerFeesAssessed
object
Show child attributes
summary.instantPayments.partnerFeesAssessed
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
volumeAmount
object
deprecated
Show child attributes
summary.instantPayments.volumeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
volumeCount
integer<int64>
deprecated
monthlyPartnerCosts
object
Show child attributes
summary.monthlyPartnerCosts
minimumCommitment
object
required
Show child attributes
summary.monthlyPartnerCosts.minimumCommitment
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
monthlyPlatform
object
required
Show child attributes
summary.monthlyPartnerCosts.monthlyPlatform
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
total
object
required
Show child attributes
summary.monthlyPartnerCosts.total
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
netIncomeSubtotal
object
Show child attributes
summary.netIncomeSubtotal
feeAmount
object
Show child attributes
summary.netIncomeSubtotal.feeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
merchantFeesCollected
object
Show child attributes
summary.netIncomeSubtotal.merchantFeesCollected
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
netIncome
object
Show child attributes
summary.netIncomeSubtotal.netIncome
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
partnerFeesAssessed
object
Show child attributes
summary.netIncomeSubtotal.partnerFeesAssessed
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
volumeAmount
object
deprecated
Show child attributes
summary.netIncomeSubtotal.volumeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
volumeCount
integer<int64>
deprecated
netPartnerPayment
object
Show child attributes
summary.netPartnerPayment
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
otherCardFees
object
Show child attributes
summary.otherCardFees
feeAmount
object
Show child attributes
summary.otherCardFees.feeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
merchantFeesCollected
object
Show child attributes
summary.otherCardFees.merchantFeesCollected
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
netIncome
object
Show child attributes
summary.otherCardFees.netIncome
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
partnerFeesAssessed
object
Show child attributes
summary.otherCardFees.partnerFeesAssessed
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
volumeAmount
object
deprecated
Show child attributes
summary.otherCardFees.volumeAmount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
volumeCount
integer<int64>
deprecated
otherFees
object
deprecated
Show child attributes
summary.otherFees
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
platformFees
object
deprecated
Show child attributes
summary.platformFees
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
residualSubtotal
object
Show child attributes
summary.residualSubtotal
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
revenueShare
string
total
object
Show child attributes
summary.total
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
totalNetPartnerPayment
object
Show child attributes
summary.totalNetPartnerPayment
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
updatedOn
string<date-time>
required
accountFees
object
Show child attributes
accountFees
invoicePaymentFee
object
required
Show child attributes
accountFees.invoicePaymentFee
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
merchantPCIFee
object
required
Show child attributes
accountFees.merchantPCIFee
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
total
object
required
Show child attributes
accountFees.total
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
walletFee
object
required
Show child attributes
accountFees.walletFee
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
kybFee
object
Show child attributes
accountFees.kybFee
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
kycFee
object
Show child attributes
accountFees.kycFee
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
transactionMonitoringFee
object
Show child attributes
accountFees.transactionMonitoringFee
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
achFees
object
Show child attributes
achFees
bankAccountVerification
object
required
Show child attributes
achFees.bankAccountVerification
amount
object
required
Show child attributes
achFees.bankAccountVerification.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
debits
object
required
Show child attributes
achFees.debits
amount
object
required
Show child attributes
achFees.debits.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
noticeOfChange
object
required
Show child attributes
achFees.noticeOfChange
amount
object
required
Show child attributes
achFees.noticeOfChange.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
return
object
required
Show child attributes
achFees.return
amount
object
required
Show child attributes
achFees.return.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
sameDayCredit
object
required
Show child attributes
achFees.sameDayCredit
amount
object
required
Show child attributes
achFees.sameDayCredit.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
standardCredit
object
required
Show child attributes
achFees.standardCredit
amount
object
required
Show child attributes
achFees.standardCredit.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
total
object
required
Show child attributes
achFees.total
amount
object
required
Show child attributes
achFees.total.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
unauthorizedReturn
object
required
Show child attributes
achFees.unauthorizedReturn
amount
object
required
Show child attributes
achFees.unauthorizedReturn.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
adjustments
object
Show child attributes
adjustments
items
array<object>
required
Show child attributes
adjustments.items[]
amount
object
Show child attributes
adjustments.items[].amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
feeName
string
total
object
required
Show child attributes
adjustments.total
amount
object
required
Show child attributes
adjustments.total.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
cardAcquiringFees
object
Show child attributes
cardAcquiringFees
americanExpress
object
required
Show child attributes
cardAcquiringFees.americanExpress
cardCancellations
object
Show child attributes
cardAcquiringFees.americanExpress.cardCancellations
amount
object
required
Show child attributes
cardAcquiringFees.americanExpress.cardCancellations.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedDomesticInPerson
object
Show child attributes
cardAcquiringFees.americanExpress.completedDomesticInPerson
amount
object
required
Show child attributes
cardAcquiringFees.americanExpress.completedDomesticInPerson.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedDomesticOnline
object
Show child attributes
cardAcquiringFees.americanExpress.completedDomesticOnline
amount
object
required
Show child attributes
cardAcquiringFees.americanExpress.completedDomesticOnline.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedInternationalInPerson
object
Show child attributes
cardAcquiringFees.americanExpress.completedInternationalInPerson
amount
object
required
Show child attributes
cardAcquiringFees.americanExpress.completedInternationalInPerson.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedInternationalOnline
object
Show child attributes
cardAcquiringFees.americanExpress.completedInternationalOnline
amount
object
required
Show child attributes
cardAcquiringFees.americanExpress.completedInternationalOnline.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
declines
object
Show child attributes
cardAcquiringFees.americanExpress.declines
amount
object
required
Show child attributes
cardAcquiringFees.americanExpress.declines.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
interchange
object
Show child attributes
cardAcquiringFees.americanExpress.interchange
amount
object
required
Show child attributes
cardAcquiringFees.americanExpress.interchange.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
interchangePrograms
array<object>
Show child attributes
cardAcquiringFees.americanExpress.interchangePrograms[]
count
integer<int64>
percentageRate
number<decimal>
perItemRate
object
Show child attributes
cardAcquiringFees.americanExpress.interchangePrograms[].perItemRate
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
programName
string
total
object
Show child attributes
cardAcquiringFees.americanExpress.interchangePrograms[].total
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
transferVolume
object
Show child attributes
cardAcquiringFees.americanExpress.interchangePrograms[].transferVolume
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
networkPassthrough
object
Show child attributes
cardAcquiringFees.americanExpress.networkPassthrough
amount
object
required
Show child attributes
cardAcquiringFees.americanExpress.networkPassthrough.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
refunds
object
Show child attributes
cardAcquiringFees.americanExpress.refunds
amount
object
required
Show child attributes
cardAcquiringFees.americanExpress.refunds.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
total
object
required
Show child attributes
cardAcquiringFees.americanExpress.total
amount
object
required
Show child attributes
cardAcquiringFees.americanExpress.total.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
discover
object
required
Show child attributes
cardAcquiringFees.discover
cardCancellations
object
Show child attributes
cardAcquiringFees.discover.cardCancellations
amount
object
required
Show child attributes
cardAcquiringFees.discover.cardCancellations.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedDomesticInPerson
object
Show child attributes
cardAcquiringFees.discover.completedDomesticInPerson
amount
object
required
Show child attributes
cardAcquiringFees.discover.completedDomesticInPerson.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedDomesticOnline
object
Show child attributes
cardAcquiringFees.discover.completedDomesticOnline
amount
object
required
Show child attributes
cardAcquiringFees.discover.completedDomesticOnline.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedInternationalInPerson
object
Show child attributes
cardAcquiringFees.discover.completedInternationalInPerson
amount
object
required
Show child attributes
cardAcquiringFees.discover.completedInternationalInPerson.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedInternationalOnline
object
Show child attributes
cardAcquiringFees.discover.completedInternationalOnline
amount
object
required
Show child attributes
cardAcquiringFees.discover.completedInternationalOnline.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
declines
object
Show child attributes
cardAcquiringFees.discover.declines
amount
object
required
Show child attributes
cardAcquiringFees.discover.declines.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
interchange
object
Show child attributes
cardAcquiringFees.discover.interchange
amount
object
required
Show child attributes
cardAcquiringFees.discover.interchange.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
interchangePrograms
array<object>
Show child attributes
cardAcquiringFees.discover.interchangePrograms[]
count
integer<int64>
percentageRate
number<decimal>
perItemRate
object
Show child attributes
cardAcquiringFees.discover.interchangePrograms[].perItemRate
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
programName
string
total
object
Show child attributes
cardAcquiringFees.discover.interchangePrograms[].total
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
transferVolume
object
Show child attributes
cardAcquiringFees.discover.interchangePrograms[].transferVolume
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
networkPassthrough
object
Show child attributes
cardAcquiringFees.discover.networkPassthrough
amount
object
required
Show child attributes
cardAcquiringFees.discover.networkPassthrough.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
refunds
object
Show child attributes
cardAcquiringFees.discover.refunds
amount
object
required
Show child attributes
cardAcquiringFees.discover.refunds.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
total
object
required
Show child attributes
cardAcquiringFees.discover.total
amount
object
required
Show child attributes
cardAcquiringFees.discover.total.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
mastercard
object
required
Show child attributes
cardAcquiringFees.mastercard
cardCancellations
object
Show child attributes
cardAcquiringFees.mastercard.cardCancellations
amount
object
required
Show child attributes
cardAcquiringFees.mastercard.cardCancellations.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedDomesticInPerson
object
Show child attributes
cardAcquiringFees.mastercard.completedDomesticInPerson
amount
object
required
Show child attributes
cardAcquiringFees.mastercard.completedDomesticInPerson.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedDomesticOnline
object
Show child attributes
cardAcquiringFees.mastercard.completedDomesticOnline
amount
object
required
Show child attributes
cardAcquiringFees.mastercard.completedDomesticOnline.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedInternationalInPerson
object
Show child attributes
cardAcquiringFees.mastercard.completedInternationalInPerson
amount
object
required
Show child attributes
cardAcquiringFees.mastercard.completedInternationalInPerson.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedInternationalOnline
object
Show child attributes
cardAcquiringFees.mastercard.completedInternationalOnline
amount
object
required
Show child attributes
cardAcquiringFees.mastercard.completedInternationalOnline.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
declines
object
Show child attributes
cardAcquiringFees.mastercard.declines
amount
object
required
Show child attributes
cardAcquiringFees.mastercard.declines.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
interchange
object
Show child attributes
cardAcquiringFees.mastercard.interchange
amount
object
required
Show child attributes
cardAcquiringFees.mastercard.interchange.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
interchangePrograms
array<object>
Show child attributes
cardAcquiringFees.mastercard.interchangePrograms[]
count
integer<int64>
percentageRate
number<decimal>
perItemRate
object
Show child attributes
cardAcquiringFees.mastercard.interchangePrograms[].perItemRate
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
programName
string
total
object
Show child attributes
cardAcquiringFees.mastercard.interchangePrograms[].total
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
transferVolume
object
Show child attributes
cardAcquiringFees.mastercard.interchangePrograms[].transferVolume
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
networkPassthrough
object
Show child attributes
cardAcquiringFees.mastercard.networkPassthrough
amount
object
required
Show child attributes
cardAcquiringFees.mastercard.networkPassthrough.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
refunds
object
Show child attributes
cardAcquiringFees.mastercard.refunds
amount
object
required
Show child attributes
cardAcquiringFees.mastercard.refunds.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
total
object
required
Show child attributes
cardAcquiringFees.mastercard.total
amount
object
required
Show child attributes
cardAcquiringFees.mastercard.total.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
visa
object
required
Show child attributes
cardAcquiringFees.visa
cardCancellations
object
Show child attributes
cardAcquiringFees.visa.cardCancellations
amount
object
required
Show child attributes
cardAcquiringFees.visa.cardCancellations.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedDomesticInPerson
object
Show child attributes
cardAcquiringFees.visa.completedDomesticInPerson
amount
object
required
Show child attributes
cardAcquiringFees.visa.completedDomesticInPerson.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedDomesticOnline
object
Show child attributes
cardAcquiringFees.visa.completedDomesticOnline
amount
object
required
Show child attributes
cardAcquiringFees.visa.completedDomesticOnline.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedInternationalInPerson
object
Show child attributes
cardAcquiringFees.visa.completedInternationalInPerson
amount
object
required
Show child attributes
cardAcquiringFees.visa.completedInternationalInPerson.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
completedInternationalOnline
object
Show child attributes
cardAcquiringFees.visa.completedInternationalOnline
amount
object
required
Show child attributes
cardAcquiringFees.visa.completedInternationalOnline.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
declines
object
Show child attributes
cardAcquiringFees.visa.declines
amount
object
required
Show child attributes
cardAcquiringFees.visa.declines.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
interchange
object
Show child attributes
cardAcquiringFees.visa.interchange
amount
object
required
Show child attributes
cardAcquiringFees.visa.interchange.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
interchangePrograms
array<object>
Show child attributes
cardAcquiringFees.visa.interchangePrograms[]
count
integer<int64>
percentageRate
number<decimal>
perItemRate
object
Show child attributes
cardAcquiringFees.visa.interchangePrograms[].perItemRate
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
programName
string
total
object
Show child attributes
cardAcquiringFees.visa.interchangePrograms[].total
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
transferVolume
object
Show child attributes
cardAcquiringFees.visa.interchangePrograms[].transferVolume
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
networkPassthrough
object
Show child attributes
cardAcquiringFees.visa.networkPassthrough
amount
object
required
Show child attributes
cardAcquiringFees.visa.networkPassthrough.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
refunds
object
Show child attributes
cardAcquiringFees.visa.refunds
amount
object
required
Show child attributes
cardAcquiringFees.visa.refunds.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
total
object
required
Show child attributes
cardAcquiringFees.visa.total
amount
object
required
Show child attributes
cardAcquiringFees.visa.total.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
instantPaymentFees
object
Show child attributes
instantPaymentFees
instantVerification
object
required
Show child attributes
instantPaymentFees.instantVerification
amount
object
required
Show child attributes
instantPaymentFees.instantVerification.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
pullFromCardTransaction
object
required
Show child attributes
instantPaymentFees.pullFromCardTransaction
amount
object
required
Show child attributes
instantPaymentFees.pullFromCardTransaction.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
pushToCardTransaction
object
required
Show child attributes
instantPaymentFees.pushToCardTransaction
amount
object
required
Show child attributes
instantPaymentFees.pushToCardTransaction.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
rtpCreditTransaction
object
required
Show child attributes
instantPaymentFees.rtpCreditTransaction
amount
object
required
Show child attributes
instantPaymentFees.rtpCreditTransaction.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
total
object
required
Show child attributes
instantPaymentFees.total
amount
object
required
Show child attributes
instantPaymentFees.total.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
pullFromCardDecline
object
Show child attributes
instantPaymentFees.pullFromCardDecline
amount
object
required
Show child attributes
instantPaymentFees.pullFromCardDecline.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
pullFromCardRefund
object
Show child attributes
instantPaymentFees.pullFromCardRefund
amount
object
required
Show child attributes
instantPaymentFees.pullFromCardRefund.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
pushToCardDecline
object
Show child attributes
instantPaymentFees.pushToCardDecline
amount
object
required
Show child attributes
instantPaymentFees.pushToCardDecline.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
rtpDecline
object
Show child attributes
instantPaymentFees.rtpDecline
amount
object
required
Show child attributes
instantPaymentFees.rtpDecline.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
otherCardFees
object
Show child attributes
otherCardFees
cardAccountUpdater
object
required
Show child attributes
otherCardFees.cardAccountUpdater
amount
object
required
Show child attributes
otherCardFees.cardAccountUpdater.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
cardVerification
object
required
Show child attributes
otherCardFees.cardVerification
amount
object
required
Show child attributes
otherCardFees.cardVerification.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
disputes
object
required
Show child attributes
otherCardFees.disputes
amount
object
required
Show child attributes
otherCardFees.disputes.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
nameVerification
object
required
Show child attributes
otherCardFees.nameVerification
amount
object
required
Show child attributes
otherCardFees.nameVerification.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
total
object
required
Show child attributes
otherCardFees.total
amount
object
required
Show child attributes
otherCardFees.total.amount
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
count
integer<int64>
required
partnerFees
object
Show child attributes
partnerFees
minimumCommitment
object
required
Show child attributes
partnerFees.minimumCommitment
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
monthlyPlatform
object
required
Show child attributes
partnerFees.monthlyPlatform
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
total
object
required
Show child attributes
partnerFees.total
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
platformFees
object
deprecated
Show child attributes
platformFees
merchantPCIFee
object
required
Show child attributes
platformFees.merchantPCIFee
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
total
object
required
Show child attributes
platformFees.total
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.
walletFee
object
required
Show child attributes
platformFees.walletFee
currency
string
required
Pattern
valueDecimal
string
required
Pattern
A decimal-formatted numerical string that represents up to 9 decimal place precision.
For example, $12.987654321 is '12.987654321'.